# Uses of Class
org.eclipse.jface.resource.ResourceManager

Packages that use ResourceManager
Package
Description
org.eclipse.jface.resource
Provides support for managing resources such as SWT fonts and images.
org.eclipse.ui.views.markers
Utility classes for working with markers in views

## Uses of ResourceManager in org.eclipse.jface.resource

Subclasses of ResourceManager in org.eclipse.jface.resource
Modifier and Type
Class
Description
`final class`
`DeviceResourceManager`
Manages SWT resources for a particular device.
`class`
`LazyResourceManager`
A LRU based ResourceManager Wrapper.
`final class`
`LocalResourceManager`
A local registry that shares its resources with some global registry.
Methods in org.eclipse.jface.resource that return ResourceManager
Modifier and Type
Method
Description
`static ResourceManager`
JFaceResources.`getResources()`
Returns the ResourceManager for the current display.
`static ResourceManager`
JFaceResources.`getResources(Display toQuery)`
Returns the global resource manager for the given display
Constructors in org.eclipse.jface.resource with parameters of type ResourceManager
Modifier
Constructor
Description
``
`ImageRegistry(ResourceManager manager)`
Creates an empty image registry using the given resource manager to allocate images.
``
`LazyResourceManager(int cacheSize, ResourceManager parent)`
``
`LocalResourceManager(ResourceManager parentRegistry)`
Creates a local registry that delegates to the given global registry for all resource allocation and deallocation.
``
`LocalResourceManager(ResourceManager parentRegistry, Control owner)`
Creates a local registry that wraps the given global registry.

## Uses of ResourceManager in org.eclipse.ui.views.markers

Methods in org.eclipse.ui.views.markers that return ResourceManager
Modifier and Type
Method
Description
`protected ResourceManager`
MarkerField.`getImageManager()`
Return the image manager used by the receiver.
Methods in org.eclipse.ui.views.markers with parameters of type ResourceManager
Modifier and Type
Method
Description
`final void`
MarkerField.`setImageManager(ResourceManager manager)`
Set the imageManager.